Package org.apache.sysds.runtime.instructions.spark.data

# Class LineageObject

java.lang.Object
org.apache.sysds.runtime.instructions.spark.data.LineageObject

Direct Known Subclasses:
  `BroadcastObject`, `DatasetObject`, `RDDObject`

public abstract class LineageObject extends Object

## Method Summary

Modifier and Type
Method
Description
`void`
`addLineageChild(LineageObject lob)`
`void`
`decrementNumReferences()`
`List<LineageObject>`
`getLineageChilds()`
`int`
`getMaxReferenceCount()`
`int`
`getNumReferences()`
`boolean`
`hasBackReference()`
`void`
`incrementNumReferences()`
`boolean`
`isInLineageCache()`
`void`
`removeAllChild()`
`void`
`setBackReference(CacheableData<?> cd)`
`void`
`setLineageCached()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getNumReferences

public int getNumReferences()

### setBackReference

public void setBackReference(CacheableData<?> cd)

### hasBackReference

public boolean hasBackReference()

### setLineageCached

public void setLineageCached()

### isInLineageCache

public boolean isInLineageCache()

### incrementNumReferences

public void incrementNumReferences()

### decrementNumReferences

public void decrementNumReferences()

### getMaxReferenceCount

public int getMaxReferenceCount()

### getLineageChilds

public List<LineageObject> getLineageChilds()

### addLineageChild

public void addLineageChild(LineageObject lob)

### removeAllChild

public void removeAllChild()